### Hierarchy

- StateRepr

## Index

### Constructors

- constructor

### Properties

- a
- children
- doi
- graph
- parent
- s
- selected
- xy

### Accessors

- cx
- cy
- flatChildren
- lod
- lod_local
- name
- size
- thumbnail

### Methods

- build
- showDialog
- render
- toIcon
- toRepr

## Constructors

### constructor

- new StateRepr(s: StateNode, graph: ProvenanceGraph): StateRepr

- - Defined in provvis.ts:63

  #### Parameters

  - ##### s: StateNode

  - ##### graph: ProvenanceGraph

  #### Returns StateRepr

## Properties

### a

a: ActionNode = null

- Defined in provvis.ts:63

### children

children: StateRepr[] = []

- Defined in provvis.ts:61

### doi

doi: number

- Defined in provvis.ts:56

### graph

graph: ProvenanceGraph

- Defined in provvis.ts:65

### parent

parent: StateRepr = null

- Defined in provvis.ts:60

### s

s: StateNode

- Defined in provvis.ts:65

### selected

selected: boolean = false

- Defined in provvis.ts:59

### xy

xy: [number, number] = [0,0]

- Defined in provvis.ts:57

## Accessors

### cx

cx:

- Defined in provvis.ts:93

### cy

cy:

- Defined in provvis.ts:97

### flatChildren

flatChildren:

- Defined in provvis.ts:87

### lod

lod:

- Defined in provvis.ts:114

### lod_local

lod_local:

- Defined in provvis.ts:101

### name

name:

- Defined in provvis.ts:133

### size

size:

- Defined in provvis.ts:120

### thumbnail

thumbnail:

- Defined in provvis.ts:70

## Methods

### build

- build(lookup: object, line: StateRepr[]): void

- - Defined in provvis.ts:74

  #### Parameters

  - ##### lookup: object

    - ##### [id: number]: StateRepr

  - ##### line: StateRepr[]

  #### Returns void

### showDialog

- showDialog(): void

- - Defined in provvis.ts:326

  #### Returns void

### Static render

- render($elem: Selection<StateRepr>): void

- - Defined in provvis.ts:301

  #### Parameters

  - ##### $elem: Selection<StateRepr>

  #### Returns void

### Static toIcon

- toIcon(repr: StateRepr): string

- - Defined in provvis.ts:281

  #### Parameters

  - ##### repr: StateRepr

  #### Returns string

### Static toRepr

- toRepr(graph: ProvenanceGraph, highlight: any, options?: any): Array<StateRepr>

- - Defined in provvis.ts:138

  #### Parameters

  - ##### graph: ProvenanceGraph

  - ##### highlight: any

  - ##### Default value options: any = {}

  #### Returns Array<StateRepr>

Generated using TypeDoc